pre.comm{
  padding: 1em 2em;
  border-width: 2px;
  border-color: #4040FF;
  border-style: solid;
  background-color: #508000;
  color: #FFFFFF;
  overflow: auto;
}

pre.code{
  padding: 1em 2em;
  border-width: 2px;
  border-color: #4040FF;
  border-style: solid;
  background-color: #508000;
  color: #FFFFFF;
  overflow: auto;
}

pre.text{
  padding: 0.3em 0.3em;
  border-width: 2px;
  border-color: #FF4040;
  border-style: solid;
  background-color: #EFEFFF;
  color: #508000;
  overflow: auto;
}

pre.title{
  padding: 0em 1em;
  border-width: 1px;
  border-color: #4040FF;
  border-style: solid;
  background-color: #CFFFFF;
  color: #508000;
  overflow: auto;
}

h3.up {
  padding: 0.2em;
/*  color: #494949; */
  background: #c0e8aa;
  border-left: solid 3px #286f17;
  border-top: solid 1px #286f17;
}

h3.dn {
  padding: 0.2em;
/*  color: #494949; */
  background: #c0e8aa;
  border-left: solid 3px #286f17;
  border-bottom: solid 1px #286f17;
}
